package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.MediaRepository;
import com.realnet.vpspack.Entity.Media
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;


	import org.springframework.stereotype.Service;

@Service
 public class MediaService {
@Autowired
private MediaRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;

public Media Savedata(Media data) {


	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Media save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Media> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Media> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Media> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Media getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Media update(Media data,Integer id) {
	Media old = Repository.findById(id).get();
old.setMedia(data.getMedia());

final Media test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 


 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
